<div class="main-content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="header">
            <h4 class="title">Liste User</h4>
            <!-- <p class="category">Here is a subtitle for this table</p> -->
          </div>
          <div class="center">
            <div class="content table-responsive table-full-width">

              <div class="search-div">
                <button (click)="UserAjouter()" mat-raised-button class="btn btn-warning" class="colorbutton">
                  <mat-icon>add</mat-icon>
                </button>

                <mat-form-field class="search-form-field" floatLabel="never">
                  <mat-label>Recherche</mat-label>
                  <input matInput (keyup)="applyFilter($event)" [(ngModel)]="value">
                  <button *ngIf="value" mat-button matSuffix mat-icon-button aria-label="Clear" (click)="value=''">
                    <mat-icon>close</mat-icon>
                  </button>
                </mat-form-field>
              </div>
              <table mat-table [dataSource]="dataSource" style="width: 100%;" class="mat-elevation-z8" matSort>

                <!--- Note that these columns can be defined in any order.
                              The actual rendered columns are set as a property on the row definition" -->

                <!-- Position Column -->
                <ng-container matColumnDef="nom">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Nom</th>
                  <td mat-cell *matCellDef="let element"> {{element.nom}} </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="prenom">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Prenom </th>
                  <td mat-cell *matCellDef="let element"> {{element.prenom}} </td>
                </ng-container>



                <!-- Symbol Column -->
                <ng-container matColumnDef="phone">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Téléphone </th>
                  <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="role">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Role </th>
                  <td mat-cell *matCellDef="let element"> {{element.role}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="username">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
                  <td mat-cell *matCellDef="let element"> {{element.username}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="password">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Mot de passe </th>
                  <td mat-cell *matCellDef="let element"> {{element.password}} </td>
                </ng-container>



                <ng-container matColumnDef="Actions">
                  <th mat-header-cell *matHeaderCellDef> Actions</th>
                  <td mat-cell *matCellDef="let element">

                    <button (click)="UserModifier(element)" style="color: green;" mat-button>
                      <i class="material-icons">create </i>
                    </button>


                    <button (click)="SupprimerUser(element.id)" style="color: rgb(224, 22, 15);" mat-button>
                      <i class="material-icons">delete</i>
                    </button>

                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                <ng-container matColumnDef="loading">
                  <mat-footer-cell *matFooterCellDef colspan="6">
                    loading data...
                  </mat-footer-cell>
                </ng-container>

                <ng-container matColumnDef="nodata">
                  <mat-footer-cell *matFooterCellDef colspan="6">
                    No data!!
                  </mat-footer-cell>
                </ng-container>




                <mat-footer-row *matFooterRowDef="['loading']" [ngClass]="{'hide':dataSource!=null}">
                </mat-footer-row>


                <mat-footer-row *matFooterRowDef="['nodata']"
                  [ngClass]="{'hide':!(dataSource!=null && dataSource.data.length==0)}">
                </mat-footer-row>

              </table>

              <mat-paginator [pageSize]="10" showFirstLastButtons [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>